Bug 355761 - DX does not pick up samples path when built against LessTif
DX does not pick up samples path when built against LessTif
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lesstif (Show other bugs)
14
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 06:42 EDT by Joachim Frieben
Modified: 2012-02-02 09:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 09:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt from StartupWindow.C of OpenDX 4.4.4 sources (1.24 KB, text/plain)
2007-10-28 08:08 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-10-28 06:42:09 EDT
Description of problem:
After clicking the 'Samples...' button of the 'dx' main panel, a
file selection box is opened. The current directory is the user's
home directory. However, when the 'dx-samples' package is installed,
it should default to the respective directory which is
/usr/share/dx/samples/programs. This is the intended and standard
behaviour on other platforms.

Version-Release number of selected component (if applicable):
lesstif-0.95.0-20.fc8.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Launch 'dx'.
2. Click 'Samples...' button.
  
Actual results:
File selection box pops up with the user's home directory being
the current directory.

Expected results:
File selection box pops up with /usr/share/dx/samples/programs being
the current directory.

Additional info:
- after rebuilding 'dx' against 'OpenMotif 2.3.0' [used to work for
  2.1.30, too], 'dx' defaults to the correct directory.
- there are font issues, too, namely 'dx' and other applications do
  use custom fonts in text entry fields as in the file selection box.
  This also works correctly after rebuilding 'dx' against 'Open Motif'.
- After more than a decade of development, 'LessTif' still is still no
  acceptable replacement of 'Open Motif'. Moreover, development has
  essentially ceased to progress. The last release is from June 2006,
  and there has since been very little activity in CVS.
Comment 1 Joachim Frieben 2007-10-28 06:48:38 EDT
(In reply to comment #0)
> 'dx' and other applications do ++ not ++ use custom fonts in text entry
> fields as in the file selection box.

.. according to the resources set by the user unless built against 'Open
   Motif'.
Comment 2 Hans de Goede 2007-10-28 07:02:48 EDT
Hi Joachim,

I've recently become a co-maintainer of lesstif and have fixed several bugs
already. I would also like to try and fix these ones, when you say resources for
custom fonts, do you now exactly which resources get set, and what they are
supposed to do? Do you also happen to know how dx tries to modify the initial
path which gets shown when the file open dialog gets opened?
Comment 3 Joachim Frieben 2007-10-28 08:08:42 EDT
Created attachment 240871 [details]
Excerpt from StartupWindow.C of OpenDX 4.4.4 sources

(In reply to comment #2)
The resource which controls the font in text field mentioned earlier is:
[startupui]*XmTextField.fontList

I have attached the routine in which the samples path is set. It's an
excerpt from 'dx-4.4.4/src/uipp/startup/StartupWindow.C'. You might
possibly need some local header files from the source package though
to understand every part of it.
Comment 4 Bug Zapper 2008-04-04 10:19:11 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Hans de Goede 2008-04-04 10:26:33 EDT
AFAIK this bug is still present in rawhide, changing version as such.
Comment 6 Bug Zapper 2008-05-13 23:46:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Hans de Goede 2008-12-16 10:08:18 EST
Hi all,

Short intro: Patrice is stepping down as maintainer of lesstif and I'm the new
maintainer, so I'm re-assigning this to me. I have no idea if and when I will find the time to look into this.

Regards,

Hans
Comment 8 Joachim Frieben 2008-12-17 10:29:49 EST
LessTif is faulty and incomplete, and because it is dead, too, I only see one remedy for LessTif users which is to remove Lesstif from Fedora and to move all depending packages to "RPM Fusion" which has the possibility to provide Open Motif packages. Only a handful of packages are concerned anyway [ddd, dx, grace, nedit, xbae].
Comment 9 Patrice Dumas 2008-12-17 10:46:57 EST
(In reply to comment #8)
> LessTif is faulty and incomplete, and because it is dead, too, I only see one
> remedy for LessTif users which is to remove Lesstif from Fedora and to move all
> depending packages to "RPM Fusion" which has the possibility to provide Open
> Motif packages. Only a handful of packages are concerned anyway [ddd, dx,
> grace, nedit, xbae].

It is already possible to have an openmotif-devel package in rpmfusion, though it would conflicts with the lesstif-devel package in fedora. In mock, it is possible to rebuild the dependent packages in rpmfusion against openmotif, call them differently and let the user chose one. lesstif and openmotif themselves should not conflict.
Comment 10 Bug Zapper 2009-06-09 05:20:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Joachim Frieben 2009-06-20 12:45:43 EDT
It might be helpful to upgrade to the current version of lesstif, namely 0.95.2, released on May 27, 2009. Thanks!
Comment 12 Joachim Frieben 2009-08-03 09:17:39 EDT
No improvement after upgrading to lesstif-0.95.2-1.fc12.x86_64 on a "rawhide" system: "Samples..." still defaults to $HOME (fonts issues seem to be gone though).
Comment 13 Bug Zapper 2010-04-27 07:48:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 06:28:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Bug Zapper 2011-06-02 14:37:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Joachim Frieben 2011-06-05 04:25:17 EDT
No improvement for current F14 including packages:
- dx-4.4.4-16.fc14.2
- lesstif-0.95.2-1.fc12
Comment 17 Jon Ciesla 2012-02-02 09:32:16 EST
Fedora 14 is End-of-Life, please reopen against a current release if this bug is still occurring.  Thank you!

Note You need to log in before you can comment on or make changes to this bug.